faqs | Migrating to SDK 805

InMobi’s iOS 12 and Android P compliant SDK 805 brings a superior monetization opportunity for your apps. The upgrade is super simple with just drag-n-drop integration coupled with few compliance steps.

The new integration guides are available here: iOS, Android.

Start your upgrade to SDK 805 today using the following methods:

  • Direct Integration
  • Integration via AdMob Adapter
  • Integration via MoPub Custom Events
  • Integration via Other Mediation Partners and Plugins

The latest version of InMobi SDK supports:

  • iOS - minimum iOS 9 and requires XCode 9.3 or later
  • Android - minimum Android 4.1 (API level 16) or later

Direct Integration

iOS

Wi-fi Settings

Apple has introduced privacy settings to access WiFi details from iOS 12 onwards. To boost monetization and relevant user experience we encourage sharing WiFi details for targeted advertising.

  • Step 1: Enable ‘Access WiFi Information’ on your App ID.

  • Step 2: Enable access ‘Access WiFi Information’ for your target app from XCode capabilities.

  • Step 3: Ensure 'WiFi Access' is added to your App.entitlements file.

Android

Preparing For Android P

InMobi SDK is compatible with Android P (API level 28), the latest version of the Android platform. Android P onwards apps make connections over HTTPS by default. Though InMobi supports the adoption of HTTPS, the current setup requires our demand partners to support HTTPS as well. The publisher can change their settings to HTTP if it has an impact on the revenue potential.

New Bundle format - aar

Android SDK has moved to a new format bundle, ‘aar’ for ease of integration. With InMobi SDK 805, you do not need to add InMobiAdActivity into your application manifest.

Please note that you will still need to include the mandatory permissions in order to proceed. Refer here, for details. No permission will be added automatically to the application manifest.

Include the aar file into the project using the following: compilefileTree(<strong>dir: 'libs', include: ['*.aar']</strong>)

Removed APIs

The following legacy API has been removed from all formats (InMobiNative, InMobiBanner, InMobiInterstitial): public static void requestAd(.......)

For the project to compile, please remove any invocation of this API.

Integration via AdMob Adapter

AdMob Integration Guidelines

Integration via MoPub Custom Events

MoPub Integration Guidelines

Integration via Other Mediation Partners or Plugins

The updated Adapters and plugins will available soon.